﻿using System.Drawing;

namespace ProjectCar;

public class DrawAddWheel
{
    public EntityMachine? EntityMachine { get; private set; }

    private AdditionalNumeringGas NumOfWheel;

    public int NumWheel
    {
        set
        {
            if (value == 1)
            {
                NumOfWheel = AdditionalNumeringGas.One;
            }
            else if (value == 2)
            {
                NumOfWheel = AdditionalNumeringGas.Two;
            }
            else if (value == 3)
            {
                NumOfWheel = AdditionalNumeringGas.Three;
            }
            else return;
        }
    }

    public void DrawAdditWheel(Graphics g, int _startPosX, int _startPosY)
    {

        // Создаем кисть с случайным цветом
        Brush bodybrush = new SolidBrush(Color.Black);
        Brush bodybrush2 = new SolidBrush(Color.Pink);
        Brush bodybrush3 = new SolidBrush(Color.Purple);

        switch (NumOfWheel)
        {
            case AdditionalNumeringGas.One:
                g.FillEllipse(bodybrush, _startPosX + 15, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush, _startPosX + 90, _startPosY + 50, 20, 20);
                break;
            case AdditionalNumeringGas.Two:
                g.FillEllipse(bodybrush2, _startPosX + 15, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush2, _startPosX + 90, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush2, _startPosX + 40, _startPosY + 50, 20, 20);
                break;
            case AdditionalNumeringGas.Three:
                g.FillEllipse(bodybrush3, _startPosX + 15, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush3, _startPosX + 90, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush3, _startPosX + 40, _startPosY + 50, 20, 20);
                g.FillEllipse(bodybrush3, _startPosX + 65, _startPosY + 50, 20, 20);
                break;

        }

    }

}
